[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPaperSize.Create

Constructor for the class instance.

## Declaration

Source position: printers.pas line 198

`public constructor TPaperSize.Create(`
`aOwner: TPrinter`
`); overload;`

## Arguments

`aOwner` |  | Owner of the class instance.

## Description

Create is the overloaded constructor for the class instance.

AOwner is the TPrinter device which owns the class instance. It is used to get device capabilities such as DPI (Dots per Inch), and to calculate the page rectangle for the paper size. An exception is raised if AOwner has not been assigned (contains Nil).

Create calls the inherited constructor.

Create allocates resources and initializes internal members used in the class instance.

## Errors

Exception
  Raised with the message 'TMediaSize.Create, aOwner must be defined!' when AOwner has not been assigned.